/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {ProjectPrincipalResponse} from "./projectPrincipalResponse";
import {UserPrincipalResponse} from "./userPrincipalResponse";

export class ProjectResponse {
    public principal: ProjectPrincipalResponse;

    public owner: UserPrincipalResponse;

    public member: UserPrincipalResponse[];

    /**
     * Creates a ProjectResponse.
     *
     * @param {ProjectPrincipalResponse} principal
     * @param {UserPrincipalResponse} owner
     * @param {UserPrincipalResponse} member
     */
    constructor(principal: ProjectPrincipalResponse, owner: UserPrincipalResponse, member: UserPrincipalResponse[]) {
        this.principal = principal;
        this.owner = owner;
        this.member = member;
    }
}
